export declare const EcanLine: import("../../utils/withInstall").SFCWithInstall<import("vue").DefineComponent<{
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<{
            name: string;
            value: number;
            type: string;
        }[]>;
        default?: {
            name: string;
            value: number;
            type: string;
        }[];
    };
    titleText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    textAlign: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleSubtext: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    colors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    symbolSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    lineStyleWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    smooth: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLabelWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    xAxisLabelRotate: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelOverflow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitLineInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisTickShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    yAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    yAxisSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineAlwaysDisplay: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridContainLabel: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gridTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridBottom: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridRight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    valueTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            value: string;
            type: string;
        }>;
        default?: {
            name: string;
            value: string;
            type: string;
        };
    };
    keyTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            types: any[];
        }>;
        default?: {
            name: string;
            types: any[];
        };
    };
    dataFieldConfigType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicConfig: {
        type?: import("vue").PropType<{}>;
        default?: {};
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDownloadShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDataZoomShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoSource: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxItemSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxIconStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxDownloadUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxInfoText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaStyleOpacity: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    areaGradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    areaGradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isBoundaryGap: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitLineType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    shadowColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    shadowBlur: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShowMarkLine: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    markLineType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendHeight: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendTextWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisMaxValue: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    yAxisMaxValue: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    xAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    noDataTip: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tipText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    defaultRangeValue: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    startValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    endValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isForbidClick: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    option: any;
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    click: () => void;
    loading: import("vue").Ref<boolean>;
    onClose: () => void;
    ecanModal: import("vue").Ref<any>;
    eventObj: import("vue").Ref<{
        [x: string]: any;
    }>;
    echartRef: import("vue").Ref<any>;
    emptyData: import("vue").Ref<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<{
            name: string;
            value: number;
            type: string;
        }[]>;
        default?: {
            name: string;
            value: number;
            type: string;
        }[];
    };
    titleText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    textAlign: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleSubtext: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    colors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    symbolSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    lineStyleWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    smooth: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLabelWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    xAxisLabelRotate: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelOverflow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitLineInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisTickShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    yAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    yAxisSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineAlwaysDisplay: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridContainLabel: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gridTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridBottom: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridRight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    valueTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            value: string;
            type: string;
        }>;
        default?: {
            name: string;
            value: string;
            type: string;
        };
    };
    keyTypeDataFieldNames: {
        type?: import("vue").PropType<{
            name: string;
            types: any[];
        }>;
        default?: {
            name: string;
            types: any[];
        };
    };
    dataFieldConfigType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicConfig: {
        type?: import("vue").PropType<{}>;
        default?: {};
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDownloadShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDataZoomShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoSource: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxOrient: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxItemSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxIconStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxDownloadUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxInfoText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaStyleOpacity: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    areaGradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    areaGradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isBoundaryGap: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitLineType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    shadowColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    shadowBlur: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShowMarkLine: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    markLineType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendHeight: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendTextWidth: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    legendScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisMaxValue: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    yAxisMaxValue: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    xAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    noDataTip: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tipText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    defaultRangeValue: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    startValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    endValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isForbidClick: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>> & Record<string, any>;
export default EcanLine;
export * from './props';
